Subject: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Stefan Roese <[email-masked]>
Date: Wed, 4 Jun 2008 17:06:21 +0200

I'm wondering what is currently recommended in the I2C device tree nodes? The 
current IBM I2C driver (i2c-ibm_iic.c) checks "index" and most FSL dts files 
use "cell-index". Some 4xx dts files implement "cell-index" some have no 
index at all.

So what should be used here. Please advise and I'll prepare a patch for it.

Thanks.

Best regards,
Stefan